Package org.apache.nutch.service.model.response

## Class NutchServerInfo

- java.lang.Object
- - org.apache.nutch.service.model.response.NutchServerInfo

-     public class NutchServerInfo
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NutchServerInfo()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Set<String>` | `getConfiguration()` |
    `Collection<JobInfo>` | `getJobs()` |
    `Collection<JobInfo>` | `getRunningJobs()` |
    `Date` | `getStartDate()` |
    `void` | `setConfiguration​(Set<String> configuration)` |
    `void` | `setJobs​(Collection<JobInfo> jobs)` |
    `void` | `setRunningJobs​(Collection<JobInfo> runningJobs)` |
    `void` | `setStartDate​(Date startDate)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NutchServerInfo

          public NutchServerInfo()

  - ### Method Detail

    - #### getStartDate

          public Date getStartDate()

    - #### setStartDate

          public void setStartDate​(Date startDate)

    - #### getConfiguration

          public Set<String> getConfiguration()

    - #### setConfiguration

          public void setConfiguration​(Set<String> configuration)

    - #### getJobs

          public Collection<JobInfo> getJobs()

    - #### setJobs

          public void setJobs​(Collection<JobInfo> jobs)

    - #### getRunningJobs

          public Collection<JobInfo> getRunningJobs()

    - #### setRunningJobs

          public void setRunningJobs​(Collection<JobInfo> runningJobs)